import { Component, h, State } from '@stencil/core';
export class BpSdkVehicleDeleteButton {
  constructor() {
    this.useExternal = false;
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-vehicle-delete-button');
    customElements.whenDefined('bp-sdk-external-vehicle-delete-button').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return h("bp-sdk-external-vehicle-delete-button", null);
  }
  renderInternal() {
    return (h("button", { type: "button", class: "bp-sdk-vehicle-delete-button" },
      h("bp-sdk-model-container", { name: "trashcan" }, "Delete")));
  }
  static get is() { return "bp-sdk-vehicle-delete-button"; }
  static get originalStyleUrls() { return {
    "$": ["./bp-sdk-vehicle-delete-button.css"]
  }; }
  static get styleUrls() { return {
    "$": ["bp-sdk-vehicle-delete-button.css"]
  }; }
  static get states() { return {
    "useExternal": {}
  }; }
}
