import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { IBusinessClassificationSelectorListItemContainerComponent, IChoiceHighlight } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '@stencil/redux';
export declare class BpSdkBusinessClassificationSelectorListItemContainer implements IBusinessClassificationSelectorListItemContainerComponent {
  storeUnsubscribe?: Unsubscribe;
  /**
   * Alias of choice
   */
  alias: string;
  /**
   * Value of choice
   */
  value: string;
  /**
   * Is choice selected
   */
  isSelected: boolean;
  /**
   * Should show explanation
   */
  showExplanation: boolean;
  /**
   * Confidence level
   */
  confidence: number;
  /**
   * Should show confidence
   */
  showConfidence: boolean;
  /**
   * Choice's id
   */
  choiceId: string;
  /**
   * List of highlight's
   */
  highlights: IChoiceHighlight[] | undefined;
  /**
   * Decision to show detailed relevance chip injected by redux
   */
  showDetailedRelevanceChip: boolean;
  /**
   * Application form state injected from redux
   */
  locked: boolean;
  /**
   * Is owner of application
   */
  isOwner: boolean;
  /**
   * Has permission to edit application
   */
  hasPermissionToEdit: boolean;
  /**
   * Enabled user check for application
   */
  enableUserApplicationGuard: boolean;
  /**
   * Is best matching choice
   */
  isBestMatch: boolean;
  useExternal: boolean;
  isLocked: boolean;
  onEnableUserApplicationGuard(enableUserApplicationGuard: boolean): void;
  onHasPermissionToEdit(hasPermission: boolean): void;
  onIsOwner(isOwner: boolean): void;
  onLocked(locked: boolean): void;
  updateIsLocked(locked: boolean, isOwner: boolean, hasPermission: boolean, enableUserApplicationGuard: boolean): void;
  resetState(): void;
  handleSubscriptions: () => void;
  connectedCallback(): void;
  disconnectedCallback(): void;
  componentWillLoad(): void;
  mapStateToProps: (state: BpSdkStore) => {
    showDetailedRelevanceChip: boolean;
    enableUserApplicationGuard: boolean;
    locked: boolean;
    isOwner: boolean;
    hasPermissionToEdit: boolean;
  };
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
