import { IBusinessClassificationSelectorNudgeContainerComponent, IRefilter } from '@boldpenguin/sdk-types';
import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { EventEmitter } from '../../stencil-public-runtime';
import { Unsubscribe } from '@stencil/redux';
export declare class BpSdkBusinessClassificationSelectorNudgeContainer implements IBusinessClassificationSelectorNudgeContainerComponent {
  storeUnsubscribe?: Unsubscribe;
  /**
   * Nudges available in the Redux store
   */
  nudges: IRefilter[];
  /**
   * Question ID for getting nudges from the store
   */
  questionId: string;
  /**
   * This event should emit a boolean indicating if the user pressed yes/no for the refilter question
   */
  nudgeAnswer: EventEmitter<{
    key: number;
    answer: boolean;
  }>;
  useExternal: boolean;
  /**
   * Are nudges hidden from UI?
   */
  isHidden: boolean;
  resetState(): void;
  handleSubscriptions: () => void;
  connectedCallback(): void;
  disconnectedCallback(): void;
  mapStateToProps: (state: BpSdkStore) => {
    nudges: IRefilter[];
  };
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  handleYesClick: (key: number, evt?: MouseEvent) => void;
  handleNoClick: (key: number, evt?: MouseEvent) => void;
  renderInternal(): any;
}
