import { Event, EventEmitter } from '../../stencil-public-runtime';
import { IAnswer, IApplicationFormQuestionSet, IDriverQuestionSetComponent, IMappedQuestionGroupAnswers } from '@boldpenguin/sdk-types';
import { BpSdkStore } from '@boldpenguin/sdk-redux';
/**
 * This is component is only used in the legacy question grouping commercial auto flow
 */
export declare class BpSdkDriverQuestionSet implements IDriverQuestionSetComponent {
  /**
   * Question set
   */
  questionSet: IApplicationFormQuestionSet;
  /**
   * Error states
   */
  errors: BpSdkStore['application']['errors'];
  /**
   * Maximum drivers allowed
   */
  maxDrivers: number;
  /**
   * Flag used to disable button if resources for question set are not ready
   */
  areResourcesReady: boolean;
  /**
   * Flag used to disable all answer inputs
   */
  locked: boolean;
  /**
   * Can Save
   */
  canSave: boolean;
  /**
   * Save Question set function
   */
  saveHandler: (questionSet: IApplicationFormQuestionSet) => void;
  /**
   * Mapped question groups
   */
  questionGroupsWithAnswersAsKey: Map<string, IMappedQuestionGroupAnswers>;
  drivers: number;
  useExternal: boolean;
  saveButtonId: string;
  /**
   * Passes information needed to update answer
   */
  saveAnswer: EventEmitter<{
    answer: IAnswer;
    new_value: string;
  }>;
  onQuestionSetChange(questionSet: IApplicationFormQuestionSet): void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  addDriver: () => void;
  deleteDriver: () => void;
  handleSaveClick: (e: Event) => void;
  renderInternal(): any;
}
