import { IAnswer, IStepperGroupButtonComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkStepperGroupButton implements IStepperGroupButtonComponent {
  /**
   * Answer representing the previous or next step in stepper group
   */
  answer: IAnswer | null;
  /**
   * Direction that the button is pointing to in the stepper group
   */
  direction: 'backward' | 'forward';
  /**
   * Controls disabled state of button
   */
  buttonDisabled: boolean;
  /**
   * Function that handles the navigation of steps.
   * Call this function on button click.
   */
  handleStepperButtonClick: (answer: IAnswer, direction: 'backward' | 'forward') => void;
  useExternal: boolean;
  resetState(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
