import { IAnswer, IApplicationFormQuestionSet, IMappedQuestionGroupAnswers, IVehicleQuestionSetComponent } from '@boldpenguin/sdk-types';
import { Event, EventEmitter } from '../../stencil-public-runtime';
/**
 * This is component is only used in the legacy question grouping commercial auto flow
 */
export declare class BpSdkVehicleQuestionSet implements IVehicleQuestionSetComponent {
  /**
   * Save Question set function
   */
  saveHandler: (questionSet: IApplicationFormQuestionSet) => void;
  /**
   * Question set
   */
  questionSet: IApplicationFormQuestionSet;
  /**
   * Maximum vehicles allowed
   */
  maxVehicles: number;
  /**
   * Flag used to disable button if resources for question set are not ready
   */
  areResourcesReady: boolean;
  /**
   * Flag used to disable all answer inputs
   */
  locked: boolean;
  /**
   * Can Save
   */
  canSave: boolean;
  /**
   * A Map of nested question groups for rendering nested question groups/question pools
   */
  questionGroupsWithAnswersAsKey: Map<string, IMappedQuestionGroupAnswers>;
  vehicles: number;
  useExternal: boolean;
  saveButtonId: string;
  extraGroupInformationMap: {
    [key: string]: {
      answers: IAnswer[];
    };
  };
  /**
   * Passes information needed to update answer
   */
  saveAnswer: EventEmitter<{
    answer: IAnswer;
    new_value: string;
  }>;
  canDelete: (index: number) => boolean;
  addVehicle: () => void;
  deleteVehicle: () => void;
  buildExtraGroupInformation(): {};
  onQuestionSetChange(questionSet: IApplicationFormQuestionSet): void;
  onQuestionGroupsWithAnswersAsKeyChange(_: Map<string, IMappedQuestionGroupAnswers>): void;
  handleSaveClick: (e: Event) => void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
